[fritz2](../index.md) / [io.fritz2.dom](./index.md)

## Package io.fritz2.dom

### Types

| [AttributeDelegate](-attribute-delegate/index.md) | `object AttributeDelegate` |
| [AttributeMountPoint](-attribute-mount-point/index.md) | `class AttributeMountPoint : `[`SingleMountPoint`](../io.fritz2.binding/-single-mount-point/index.md)`<`[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`>` |
| [DomMountPoint](-dom-mount-point/index.md) | `class DomMountPoint<T : `[`Node`](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.dom/-node/index.html)`> : `[`SingleMountPoint`](../io.fritz2.binding/-single-mount-point/index.md)`<`[`WithDomNode`](-with-dom-node/index.md)`<T>>` |
| [DomMultiMountPoint](-dom-multi-mount-point/index.md) | `class DomMultiMountPoint<T : `[`Node`](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.dom/-node/index.html)`> : `[`MultiMountPoint`](../io.fritz2.binding/-multi-mount-point/index.md)`<`[`WithDomNode`](-with-dom-node/index.md)`<T>>` |
| [Listener](-listener/index.md) | [Listener](-listener/index.md) handles a Flow of [Event](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.dom.events/-event/index.html)s.`class Listener<E : `[`Event`](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.dom.events/-event/index.html)`, X : `[`Element`](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.dom/-element/index.html)`>` |
| [Tag](-tag/index.md) | `abstract class Tag<T : `[`Element`](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.dom/-element/index.html)`> : `[`WithDomNode`](-with-dom-node/index.md)`<T>, `[`WithAttributes`](-with-attributes/index.md)`<T>, `[`WithEvents`](-with-events/index.md)`<T>, `[`HtmlElements`](../io.fritz2.dom.html/-html-elements/index.md) |
| [TextNode](-text-node/index.md) | `class TextNode : `[`WithDomNode`](-with-dom-node/index.md)`<`[`Text`](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.dom/-text/index.html)`>` |
| [WithAttributes](-with-attributes/index.md) | `interface WithAttributes<out T : `[`Element`](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.dom/-element/index.html)`> : `[`WithDomNode`](-with-dom-node/index.md)`<T>` |
| [WithDomNode](-with-dom-node/index.md) | `interface WithDomNode<out T : `[`Node`](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.dom/-node/index.html)`>` |
| [WithEvents](-with-events/index.md) | `abstract class WithEvents<T : `[`Element`](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.dom/-element/index.html)`> : `[`WithDomNode`](-with-dom-node/index.md)`<T>` |
| [WithText](-with-text/index.md) | `interface WithText<T : `[`Node`](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.dom/-node/index.html)`> : `[`WithDomNode`](-with-dom-node/index.md)`<T>` |

### Annotations

| [HtmlTagMarker](-html-tag-marker/index.md) | `annotation class HtmlTagMarker` |

### Extensions for External Classes

| [kotlinx.coroutines.flow.Flow](kotlinx.coroutines.flow.-flow/index.md) |  |
| [org.w3c.dom.Element](org.w3c.dom.-element/index.md) |  |

### Functions

| [files](files.md) | Gives you the [FileList](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.files/-file-list/index.html) from the targeting [Element](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.dom/-element/index.html)`fun `[`Listener`](-listener/index.md)`<`[`Event`](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.dom.events/-event/index.html)`, `[`HTMLInputElement`](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.dom/-h-t-m-l-input-element/index.html)`>.files(): Flow<`[`FileList`](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.files/-file-list/index.html)`?>` |
| [key](key.md) | Gives you the pressed key as [Key](../io.fritz2.dom.html/-key/index.md) from a [KeyboardEvent](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.dom.events/-keyboard-event/index.html)`fun <X : `[`Element`](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.dom/-element/index.html)`> `[`Listener`](-listener/index.md)`<`[`KeyboardEvent`](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.dom.events/-keyboard-event/index.html)`, X>.key(): Flow<`[`Key`](../io.fritz2.dom.html/-key/index.md)`>` |
| [mount](mount.md) | `fun <X : `[`Element`](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.dom/-element/index.html)`> `[`Tag`](-tag/index.md)`<X>.mount(targetId: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) |
| [selectedIndex](selected-index.md) | Gives you the selected index as [Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html) from the targeting [Element](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.dom/-element/index.html)`fun `[`Listener`](-listener/index.md)`<`[`Event`](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.dom.events/-event/index.html)`, `[`HTMLSelectElement`](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.dom/-h-t-m-l-select-element/index.html)`>.selectedIndex(): Flow<`[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`>` |
| [states](states.md) | Gives you the checked value as [Boolean](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) from the targeting [Element](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.dom/-element/index.html)`fun `[`Listener`](-listener/index.md)`<`[`Event`](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.dom.events/-event/index.html)`, `[`HTMLInputElement`](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.dom/-h-t-m-l-input-element/index.html)`>.states(): Flow<`[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html)`>` |
| [values](values.md) | Gives you the new value as [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) from the targeting [Element](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.dom/-element/index.html)`fun `[`Listener`](-listener/index.md)`<`[`Event`](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.dom.events/-event/index.html)`, `[`HTMLInputElement`](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.dom/-h-t-m-l-input-element/index.html)`>.values(): Flow<`[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`>`<br>`fun `[`Listener`](-listener/index.md)`<`[`Event`](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.dom.events/-event/index.html)`, `[`HTMLSelectElement`](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.dom/-h-t-m-l-select-element/index.html)`>.values(): Flow<`[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`>`<br>`fun `[`Listener`](-listener/index.md)`<`[`Event`](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.dom.events/-event/index.html)`, `[`HTMLTextAreaElement`](https://kotlinlang.org/api/latest/jvm/stdlib/org.w3c.dom/-h-t-m-l-text-area-element/index.html)`>.values(): Flow<`[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`>` |

